Mandriva Linux Security Advisory : apache (MDVSA-2008:016)

This script is Copyright (C) 2009-2016 Tenable Network Security, Inc.


Synopsis :

The remote Mandriva Linux host is missing one or more security
updates.

Description :

A number of vulnerabilities were found and fixed in the Apache 2.2.x
packages :

A flaw found in the mod_imagemap module could lead to a cross-site
scripting attack on sites where mod_imagemap was enabled and an
imagemap file was publically available (CVE-2007-5000).

A flaw found in the mod_status module could lead to a cross-site
scripting attack on sites where mod_status was enabled and the status
pages were publically available (CVE-2007-6388).

A flaw found in the mod_proxy_balancer module could lead to a
cross-site scripting attack against an authorized user on sites where
mod_proxy_balancer was enabled (CVE-2007-6421).

Another flaw in the mod_proxy_balancer module was found where, on
sites with the module enabled, an authorized user could send a
carefully crafted request that would cause the apache child process
handling the request to crash, which could lead to a denial of service
if using a threaded MPM (CVE-2007-6422).

A flaw found in the mod_proxy_ftp module could lead to a cross-site
scripting attack against web browsers which do not correctly derive
the response character set following the rules in RFC 2616, on sites
where the mod_proxy_ftp module was enabled (CVE-2008-0005).

The updated packages have been patched to correct these issues.

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 36524 (mandriva_MDVSA-2008-016.nasl)

Bugtraq ID:

CVE ID: CVE-2007-5000
CVE-2007-6388
CVE-2007-6421
CVE-2007-6422
CVE-2008-0005

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now